@import url("https://fonts.googleapis.com/css2?family=Kanit:wght@400;500;600;700;800;900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Saira:wght@300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --primary-color: #0069ff;
  --black: #040404;
  --white: #fff;
  --bg: #d6efff;
  --bg2: #edf9ff;
  --border: #d1d1d1;
  --border2: #e7e7e7;
  --text2: #3d3d3d;
  --text3: #6d6d6d;
  --gradient: linear-gradient(94deg, #0069ff 0%, #233886 99.66%);
  --primary-font: "Kanit";
  --secondary-font: "Saira";
}

h1,
h2,
h3,
h4 {
  font-family: var(--primary-font);
}

p,
h5,
h6 {
  font-family: var(--secondary-font);
}
/* ..................... */

/* Hero */
.about-hero {
  width: 100%;
  min-height: 350px;
  display: flex;
  align-items: center;
  background-image: url(../img/Hero3.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  object-fit: cover;
}

/* Welcome Section Start */

.welcome {
  position: relative;
  width: 100%;
  margin-top: 80px;
}

.welcome .shape {
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: -1;
}

.welcome .shape svg {
  width: 110px;
  height: 110px;
}

.welcome .title {
  font-size: 2.5rem;
  color: var(--black);
  margin-bottom: 20px;
}

.welcome .desc {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--text2);
  font-size: 1rem;
  margin-bottom: 0px;
}
.welcome .gallery-card-grid {
  width: 100%;
  position: relative;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(12, auto); /* Creates 12 rows */
  gap: 10px;
  margin-top: 40px;
}

.welcome .gallery-card-grid .gallery-card {
  border: 1px solid var(--border2);
}

/* Adjusting card positions */
.welcome .gallery-card:nth-child(1) {
  grid-column: 1 / 2;
  grid-row: 2 / 5;
}

.welcome .gallery-card:nth-child(2) {
  grid-column: 2 / 3;
  grid-row: 1 / 7;
}

.welcome .gallery-card:nth-child(3) {
  grid-column: 1 / 2;
  grid-row: 5 / 12;
}

.welcome .gallery-card:nth-child(4) {
  grid-column: 2 / 3;
  grid-row: 7 / 11;
}

.welcome .gallery-card {
  width: 100%;
  background: var(--white);
  border-radius: 16px;
  transition: 0.4s;
  overflow: hidden;
}

.welcome .gallery-card:hover {
  transform: translateY(-5px);
  -webkit-transform: translateY(-5px);
  -moz-transform: translateY(-5px);
  -ms-transform: translateY(-5px);
  -o-transform: translateY(-5px);
}

.welcome .gallery-card .image {
  width: 100%;
  height: 100%;
}

.welcome .gallery-card .image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  background-position: center;
  background-size: cover;
}

@media (max-width: 768px) {
  .welcome .title,
  .welcome .desc {
    text-align: center;
  }

  .welcome .title {
    font-size: calc(1.375rem + 1.5vw);
  }
}

@media (max-width: 576px) {
  .welcome .gallery-card-grid {
    display: grid !important;
    grid-template-columns: 1fr !important;
    gap: 10px !important;
  }

  .welcome .gallery-card {
    grid-column: 1 / -1 !important;
    grid-row: auto !important;
  }
}

/* Welcome Section End */

/* About Start */

.about-feature {
  width: 100%;
  position: relative;
  background: var(--white);
  margin-top: 80px;
}

.about-feature .plane-wrapper {
  background: var(--black);
  padding: 40px;
  border-radius: 24px;
  -webkit-border-radius: 24px;
  -moz-border-radius: 24px;
  -ms-border-radius: 24px;
  -o-border-radius: 24px;
}

.about-feature .container {
  position: relative;
  z-index: 1;
}

.about-feature .shape1 {
  position: absolute;
  top: 40px;
  left: 0px;
}
.about-feature .shape1 svg {
  width: 110px;
  height: 110px;
}
.about-feature .shape2 {
  position: absolute;
  bottom: 30px;
  right: 0px;
}
.about-feature .shape2 svg {
  width: 110px;
  height: 110px;
}

.about-feature .header {
  margin-bottom: 40px;
  text-align: center;
}

.about-feature .header h1 {
  font-size: 2.5rem;
  color: var(--white);
}
.about-feature .header p {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--border);
  font-size: 1rem;
  margin-bottom: 0px;
  max-width: 800px;
  display: block;
  margin: auto;
}
.about-feature .plan-box {
  border: 1px solid var(--border);
  border-radius: 16px;
  width: 100%;
  background: #3d3d3d10;
  padding: 20px;
  transition: 0.4s;
  -webkit-transition: 0.4s;
  -moz-transition: 0.4s;
  -ms-transition: 0.4s;
  -o-transition: 0.4s;
  -webkit-border-radius: 16px;
  -moz-border-radius: 16px;
  -ms-border-radius: 16px;
  -o-border-radius: 16px;
}
.about-feature .plan-box:hover {
  transform: translateY(-5px);
  -webkit-transform: translateY(-5px);
  -moz-transform: translateY(-5px);
  -ms-transform: translateY(-5px);
  -o-transform: translateY(-5px);
}
.about-feature .plan-box .icon {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  overflow: hidden;
}
.about-feature .plan-box .icon img {
  width: 100%;
}
.about-feature .plan-box h2 {
  font-size: 18px;
  font-weight: 400;
  color: var(--white);
  font-family: var(--primary-font);
  text-align: left;
  margin: 16px 0;
}
.about-feature .plan-box p {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--border);
  font-size: 1rem;
  margin-bottom: 0px;
}

@media screen and (max-width: 992px) {
  .about-feature .header h1 {
    font-size: calc(1.375rem + 1.5vw);
  }
}

@media screen and (max-width: 768px) {
  .about-feature .plane-wrapper {
    padding: 20px;
  }
  .about-feature .plan-box {
    text-align: center;
  }

  .about-feature .plan-box .icon {
    display: block;
    margin: auto;
  }
  .about-feature .plan-box h2 {
    text-align: center;
  }
}
/* About End */
